#!/bin/bash

menuContinue()
{
    if [[ "$CFG_REQUIREMENT_CONTINUE_PROMPT" == "true" ]]; then
        while true; do
            echo ""
            isQuestion "Press Enter to continue or press 'd' to disable this prompt in the future: "
            read -n 1 -s app_installed_continue
            
            # If Enter is pressed (empty input), continue
            if [[ -z "$app_installed_continue" ]]; then
                break
            # If 'd' or 'D' is pressed, disable the prompt
            elif [[ "$app_installed_continue" == [dD] ]]; then
                echo ""
                # Escape the comment to prevent sed interpretation issues
                updateConfigOption "CFG_REQUIREMENT_CONTINUE_PROMPT" "false"
                break
            else
                isError "Invalid input. Please press Enter to continue or 'd' to disable the prompt."
            fi
        done
    fi
}
